Package org.kapott.hbci.comm

# Class Comm

java.lang.Object
org.kapott.hbci.comm.Comm

Direct Known Subclasses:
  `CommPinTan`, `CommStandard`

public abstract class Comm extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENCODING`
Der zu verwendende Zeichensatz.
`protected Filter`
`filter`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Comm(HBCIPassportInternal parentPassport)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`protected abstract void`
`closeConnection()`
`static Comm`
`getInstance(String name, HBCIPassportInternal passport)`
`protected HBCIPassportInternal`
`getParentPassport()`
`protected abstract void`
`ping(MSG msg)`
`MSG`
`pingpong(String msgName, MSG msg)`
`protected abstract StringBuffer`
`pong(MsgGen gen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ENCODING

public static final String ENCODING
Der zu verwendende Zeichensatz.

See Also:
  - Constant Field Values

### filter

protected Filter filter

## Constructor Details

### Comm

protected Comm(HBCIPassportInternal parentPassport)

## Method Details

### ping

protected abstract void ping(MSG msg)

### pong

protected abstract StringBuffer pong(MsgGen gen)

### closeConnection

protected abstract void closeConnection()

### pingpong

public MSG pingpong(String msgName, MSG msg)

### getInstance

public static Comm getInstance(String name, HBCIPassportInternal passport)

### getParentPassport

protected HBCIPassportInternal getParentPassport()

### close

public void close()